Index: TXM/trunk/org.txm.utils/src/org/txm/utils/image/BMPUtils.java
===================================================================
--- TXM/trunk/org.txm.utils/src/org/txm/utils/image/BMPUtils.java	(revision 0)
+++ TXM/trunk/org.txm.utils/src/org/txm/utils/image/BMPUtils.java	(revision 3628)
@@ -0,0 +1,75 @@
+package org.txm.utils.image;
+
+import java.awt.image.BufferedImage;
+import java.io.File;
+
+import javax.imageio.IIOImage;
+import javax.imageio.ImageIO;
+import javax.imageio.ImageWriteParam;
+import javax.imageio.ImageWriter;
+import javax.imageio.stream.FileImageOutputStream;
+
+public class BMPUtils {
+
+	public static void toRLE8(File inputFile, File outputFile) throws Exception {
+		fromTo(inputFile, outputFile, "BI_RLE8");
+	}
+	
+	public static void toRLE4(File inputFile, File outputFile) throws Exception {
+		fromTo(inputFile, outputFile, "BI_RLE4");
+	}
+	
+	public static void emptySquare(File outputFile, int size, String comp) throws Exception {
+		
+		BufferedImage bi = new BufferedImage(size, size, BufferedImage.TYPE_BYTE_INDEXED);
+		
+		ImageWriter writer = ImageIO.getImageWritersByFormatName("bmp").next();
+		ImageWriteParam param = writer.getDefaultWriteParam();
+
+		param.setCompressionMode(ImageWriteParam.MODE_EXPLICIT);
+		param.setCompressionType(comp);
+
+		writer.setOutput(new FileImageOutputStream(outputFile));
+		writer.write(null, new IIOImage(bi, null, null), param);
+		writer.dispose();
+	}
+	
+	public static void fromTo(File inputFile, File outputFile, String comp) throws Exception {
+		
+		BufferedImage bi = ImageIO.read(inputFile); //new BufferedImage(size, size, BufferedImage.TYPE_BYTE_INDEXED);
+		
+		ImageWriter writer = ImageIO.getImageWritersByFormatName("bmp").next();
+		ImageWriteParam param = writer.getDefaultWriteParam();
+
+		param.setCompressionMode(ImageWriteParam.MODE_EXPLICIT);
+		param.setCompressionType(comp);
+
+		writer.setOutput(new FileImageOutputStream(outputFile));
+		writer.write(null, new IIOImage(bi, null, null), param);
+		writer.dispose();
+	}
+
+	public static void main(String[] args) throws Exception {
+		
+//		toRLE4(new File("/home/mdecorde/eclipse-tycho2022-09/bundles/org.txm.rcp/icons/logo/TXM logo 16x16 8-bit.bmp"), 
+//				new File("/home/mdecorde/eclipse-tycho2022-09/bundles/org.txm.rcp/icons/logo/TXM logo 16x16 8-bit RLE8.bmp"));
+//		
+//		toRLE4(new File("/home/mdecorde/eclipse-tycho2022-09/bundles/org.txm.rcp/icons/logo/TXM logo 48x48 8-bit.bmp"), 
+//				new File("/home/mdecorde/eclipse-tycho2022-09/bundles/org.txm.rcp/icons/logo/TXM logo 48x48 8-bit RLE8.bmp"));
+//		
+//		toRLE4(new File("/home/mdecorde/eclipse-tycho2022-09/bundles/org.txm.rcp/icons/logo/TXM logo 256x256 32-bit.bmp"), 
+//				new File("/home/mdecorde/eclipse-tycho2022-09/bundles/org.txm.rcp/icons/logo/TXM logo 256x256 32-bit RLE8.bmp"));
+		
+		emptySquare( 
+				new File("/home/mdecorde/eclipse-tycho2022-09/bundles/org.txm.rcp/icons/logo/TXM logo 32x32 8-bit RLE8.bmp"),
+				32, "BI_RLE8");
+		
+//		emptySquare(
+//				new File("/home/mdecorde/eclipse-tycho2022-09/bundles/org.txm.rcp/icons/logo/TXM logo 48x48 8-bit RLE8.bmp"),
+//				48, "BI_RLE8");
+//		
+//		emptySquare(
+//				new File("/home/mdecorde/eclipse-tycho2022-09/bundles/org.txm.rcp/icons/logo/TXM logo 256x256 32-bit RLE8.bmp"),
+//				256, "BI_RLE8");
+	}
+}

Index: TXM/trunk/org.txm.utils/src/org/txm/utils/io/IOUtils.java
===================================================================
--- TXM/trunk/org.txm.utils/src/org/txm/utils/io/IOUtils.java	(revision 3627)
+++ TXM/trunk/org.txm.utils/src/org/txm/utils/io/IOUtils.java	(revision 3628)
@@ -18,8 +18,6 @@
 import java.net.URL;
 import java.net.URLConnection;
 import java.util.ArrayList;
-import java.util.Arrays;
-import java.util.List;
 import java.util.regex.Matcher;
 import java.util.regex.Pattern;
 
Index: TXM/trunk/org.txm.utils/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.utils/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.utils/META-INF/MANIFEST.MF	(revision 3628)
@@ -82,18 +82,19 @@
 Bundle-Version: 1.0.0.qualifier
 Bundle-ClassPath: .,commons-cli-1.2.jar,commons-io-1.4.jar,commons-lan
  g-2.4.jar,juniversalchardet-1.0.3.jar,ant-1.7.1.jar,textcat-1.0.1.jar
-Require-Bundle: org.txm.libs.saxon;bundle-version="9.0.0";visibility:=reexport,
+Require-Bundle: com.ibm.icu;visibility:=reexport,
  org.eclipse.osgi.util;bundle-version="3.3.0";visibility:=reexport,
  org.eclipse.core.runtime;visibility:=reexport,
  org.eclipse.core.net;bundle-version="1.2.200";visibility:=reexport,
+ org.txm.libs.saxon;bundle-version="9.0.0";visibility:=reexport,
  org.txm.libs.colt;bundle-version="1.2.0";visibility:=reexport,
  org.txm.libs.itext;bundle-version="2.1.5";visibility:=reexport,
  org.txm.libs.msoffice;bundle-version="1.0.0";visibility:=reexport,
  org.txm.libs.office;bundle-version="0.8.2";visibility:=reexport,
- com.ibm.icu;visibility:=reexport,
- org.txm.libs.gson;bundle-version="2.8.6";visibility:=reexport
+ org.txm.libs.gson;bundle-version="2.8.6";visibility:=reexport,
+ org.txm.libs.groovy-all;bundle-version="2.3.7";visibility:=reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.utils.core
 

Index: TXM/trunk/org.txm.partition.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.partition.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.partition.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -11,7 +11,7 @@
  ="1.0.0";visibility:=reexport,org.txm.lexicaltable.core;bundle-versio
  n="1.0.0";visibility:=reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.partition.core
 

Index: TXM/trunk/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/themes/highcharts/renderers/ProgressionItemSelectionRenderer.java
===================================================================
--- TXM/trunk/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/themes/highcharts/renderers/ProgressionItemSelectionRenderer.java	(revision 3627)
+++ TXM/trunk/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/themes/highcharts/renderers/ProgressionItemSelectionRenderer.java	(revision 3628)
@@ -28,6 +28,7 @@
  */
 public class ProgressionItemSelectionRenderer extends ItemSelectionXYStepRenderer {
 
+	private static final long serialVersionUID = -2180907160906491676L;
 
 	/**
 	 * Needed to get the Graphics2D object to use in getItemShape() to compute the label text bounds and draw a background rectangle.
@@ -37,7 +38,7 @@
 	/**
 	 * Stack to store selected items to draw at last, over others items.
 	 */
-	protected ArrayList itemsToDrawAtLast; 
+	protected ArrayList<?> itemsToDrawAtLast; 
 	
 	/**
 	 * additional series informations to show in tooltips
Index: TXM/trunk/org.txm.progression.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.progression.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.progression.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -13,7 +13,7 @@
  ="1.0.0";visibility:=reexport,org.txm.searchengine.cqp.core;bundle-ve
  rsion="1.1.0";visibility:=reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.progression.core
 

Index: TXM/trunk/org.txm.chartsengine.r.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.chartsengine.r.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.chartsengine.r.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -9,7 +9,7 @@
  bility:=reexport,org.txm.chartsengine.core;bundle-version="1.0.0";vis
  ibility:=reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.chartsengine.r.core
 

Index: TXM/trunk/org.txm.links.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.links.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.links.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -3,10 +3,9 @@
 Bundle-SymbolicName: org.txm.links.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-Name: %Bundle-Name
-Require-Bundle: org.txm.rcp;bundle-version="0.8.0";visibility:=reexpor
- t
+Require-Bundle: org.txm.rcp;bundle-version="0.8.3";visibility:=reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.links.rcp
 

Index: TXM/trunk/org.txm.textsbalance.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.textsbalance.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.textsbalance.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -10,7 +10,7 @@
  on="1.0.0";visibility:=reexport,org.txm.chartsengine.r.core;bundle-ve
  rsion="1.0.0";visibility:=reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.textsbalance.core
 

Index: TXM/trunk/org.txm.analec.rcp/.settings/org.eclipse.jdt.groovy.core.prefs
===================================================================
--- TXM/trunk/org.txm.analec.rcp/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 0)
+++ TXM/trunk/org.txm.analec.rcp/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 3628)
@@ -0,0 +1,3 @@
+eclipse.preferences.version=1
+groovy.compiler.level=40
+groovy.script.filters=**/*.dsld,y,**/*.gradle,n

Index: TXM/trunk/org.txm.analec.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.analec.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.analec.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -179,7 +179,7 @@
  untime;visibility:=reexport,org.eclipse.jface;visibility:=reexport,or
  g.eclipse.swt;visibility:=reexport,org.eclipse.core.expressions;bundl
  e-version="3.4.600";visibility:=reexport,org.txm.core;bundle-version=
- "0.8.0";visibility:=reexport,org.txm.rcp;bundle-version="0.8.0";visib
+ "0.8.3";visibility:=reexport,org.txm.rcp;bundle-version="0.8.3";visib
  ility:=reexport,org.txm.utils.core;visibility:=reexport,org.txm.conco
  rdance.rcp;bundle-version="1.0.0";visibility:=reexport,org.txm.progre
  ssion.rcp;bundle-version="1.0.0";visibility:=reexport,org.txm.lexical
@@ -189,7 +189,7 @@
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
 Bundle-Activator: analecrcp.Activator
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: %Bundle-Vendor
 Automatic-Module-Name: org.txm.annotation.urs.rcp
 
Index: TXM/trunk/org.txm.analec.rcp/src/visuAnalec/donnees/VisuStructure.java
===================================================================
--- TXM/trunk/org.txm.analec.rcp/src/visuAnalec/donnees/VisuStructure.java	(revision 3627)
+++ TXM/trunk/org.txm.analec.rcp/src/visuAnalec/donnees/VisuStructure.java	(revision 3628)
@@ -314,8 +314,8 @@
 				if (newType!=null) {
 					DefaultMutableTreeNode ntypefusion = null;
 					noeud0 = (DefaultMutableTreeNode) item.getPathComponent(0);
-					for (Enumeration<DefaultMutableTreeNode> etype = noeud0.children(); etype.hasMoreElements();) {
-						DefaultMutableTreeNode ntype = etype.nextElement();
+					for (Enumeration<TreeNode> etype = noeud0.children(); etype.hasMoreElements();) {
+						DefaultMutableTreeNode ntype = (DefaultMutableTreeNode) etype.nextElement();
 						String type0 = (String) ntype.getUserObject();
 						if (newType.equals(type0)) {
 							ntypefusion = ntype;
@@ -336,8 +336,8 @@
 				String newProp = corpus.saisirRenommerProp(VisuStructure.this, classe, (String) noeud1.getUserObject(), (String) noeud.getUserObject());
 				if (newProp!=null) {
 					DefaultMutableTreeNode npropfusion = null;
-					for (Enumeration<DefaultMutableTreeNode> eprop = noeud1.children(); eprop.hasMoreElements();) {
-						DefaultMutableTreeNode nprop = eprop.nextElement();
+					for (Enumeration<TreeNode> eprop = noeud1.children(); eprop.hasMoreElements();) {
+						DefaultMutableTreeNode nprop = (DefaultMutableTreeNode) eprop.nextElement();
 						String prop0 = (String) nprop.getUserObject();
 						if (newProp.equals(prop0)) {
 							npropfusion = nprop;
@@ -362,8 +362,8 @@
 				String newVal = corpus.saisirRenommerVal(VisuStructure.this, classe,
 						(String) noeud1.getUserObject(), (String) noeud2.getUserObject(), val);
 				if (newVal!=null) {
-					for (Enumeration<DefaultMutableTreeNode> eval = noeud2.children(); eval.hasMoreElements();) {
-						DefaultMutableTreeNode nval = eval.nextElement();
+					for (Enumeration<TreeNode> eval = noeud2.children(); eval.hasMoreElements();) {
+						DefaultMutableTreeNode nval = (DefaultMutableTreeNode) eval.nextElement();
 						String val0 = (String) nval.getUserObject();
 						if (newVal.equals(isDefaut(val0) ? oteDefaut(val0) : val0)) {
 							isDefaut = isDefaut||isDefaut(val0);
@@ -483,22 +483,22 @@
 			DefaultMutableTreeNode noeudprop = (DefaultMutableTreeNode) item.getLastPathComponent();
 			int nbval = noeudprop.getChildCount();
 			String[] vals = new String[nbval];
-			Enumeration<DefaultMutableTreeNode> eval = noeudprop.children();
+			Enumeration<TreeNode> eval = noeudprop.children();
 			for (int i = 0; i<nbval; i++)
-				vals[i] = (String) eval.nextElement().getUserObject();
+				vals[i] = (String) ((DefaultMutableTreeNode)eval.nextElement()).getUserObject();
 			DefaultMutableTreeNode noeudtype = (DefaultMutableTreeNode) item.getPathComponent(1);
 			int nbprop = noeudtype.getChildCount();
 			String[] props = new String[nbprop-1];
 			String[][] propsvals = new String[nbprop-1][];
-			Enumeration<DefaultMutableTreeNode> eprop = noeudtype.children();
+			Enumeration<TreeNode> eprop = noeudtype.children();
 			for (int i = 0; eprop.hasMoreElements(); i++) {
-				DefaultMutableTreeNode nprop = eprop.nextElement();
+				DefaultMutableTreeNode nprop = (DefaultMutableTreeNode) eprop.nextElement();
 				if (nprop!=noeudprop) {
 					props[i] = (String) nprop.getUserObject();
 					propsvals[i] = new String[nprop.getChildCount()];
-					Enumeration<DefaultMutableTreeNode> epropval = nprop.children();
+					Enumeration<TreeNode> epropval = nprop.children();
 					for (int j = 0; epropval.hasMoreElements(); j++)
-						propsvals[i][j] = (String) epropval.nextElement().getUserObject();
+						propsvals[i][j] = (String) ((DefaultMutableTreeNode)epropval.nextElement()).getUserObject();
 				} else i--;
 			}
 			if (corpus.saisirDispatcherProp(VisuStructure.this, classe,
@@ -557,9 +557,9 @@
 		void insererNewProp(String type, String prop) {
 			DefaultMutableTreeNode racine = (DefaultMutableTreeNode) getRoot();
 			DefaultMutableTreeNode ntype = null;
-			for (Enumeration<DefaultMutableTreeNode> etype = racine.children();
+			for (Enumeration<TreeNode> etype = racine.children();
 					etype.hasMoreElements();) {
-				ntype = etype.nextElement();
+				ntype = (DefaultMutableTreeNode) etype.nextElement();
 				if (type.equals(ntype.getUserObject())) break;
 			}
 			insertNodeInto(new DefaultMutableTreeNode(prop, true), ntype, 0);
@@ -569,12 +569,12 @@
 			DefaultMutableTreeNode racine = (DefaultMutableTreeNode) getRoot();
 			DefaultMutableTreeNode ntype = null;
 			DefaultMutableTreeNode nprop = null;
-			for (Enumeration<DefaultMutableTreeNode> etype = racine.children();
+			for (Enumeration<TreeNode> etype = racine.children();
 					etype.hasMoreElements();) {
-				ntype = etype.nextElement();
+				ntype = (DefaultMutableTreeNode) etype.nextElement();
 				if (type.equals(ntype.getUserObject())) {
-					for (Enumeration<DefaultMutableTreeNode> eprop = ntype.children(); eprop.hasMoreElements();) {
-						nprop = eprop.nextElement();
+					for (Enumeration<TreeNode> eprop = ntype.children(); eprop.hasMoreElements();) {
+						nprop = (DefaultMutableTreeNode) eprop.nextElement();
 						if (prop.equals(nprop.getUserObject())) break;
 					}
 					break;
@@ -588,18 +588,18 @@
 			DefaultMutableTreeNode ntype = null;
 			DefaultMutableTreeNode nprop = null;
 			DefaultMutableTreeNode nval = null;
-			for (Enumeration<DefaultMutableTreeNode> etype = racine.children(); etype.hasMoreElements();) {
-				ntype = etype.nextElement();
+			for (Enumeration<TreeNode> etype = racine.children(); etype.hasMoreElements();) {
+				ntype = (DefaultMutableTreeNode) etype.nextElement();
 				if (type.equals(ntype.getUserObject())) {
-					for (Enumeration<DefaultMutableTreeNode> eprop = ntype.children(); eprop.hasMoreElements();) {
-						nprop = eprop.nextElement();
+					for (Enumeration<TreeNode> eprop = ntype.children(); eprop.hasMoreElements();) {
+						nprop = (DefaultMutableTreeNode) eprop.nextElement();
 						if (prop.equals(nprop.getUserObject())) break;
 					}
 					break;
 				}
 			}
-			for (Enumeration<DefaultMutableTreeNode> eval = nprop.children(); eval.hasMoreElements();) {
-				nval = eval.nextElement();
+			for (Enumeration<TreeNode> eval = nprop.children(); eval.hasMoreElements();) {
+				nval = (DefaultMutableTreeNode) eval.nextElement();
 				String val = (String) nval.getUserObject();
 				if (isDefaut(val)) {
 					nval.setUserObject(oteDefaut(val));
@@ -672,9 +672,9 @@
 		}
 		@SuppressWarnings("unchecked")
 		boolean hasForme(DefaultMutableTreeNode noeudtype) {
-			for (Enumeration<DefaultMutableTreeNode> eprop = noeudtype.children();
+			for (Enumeration<TreeNode> eprop = noeudtype.children();
 					eprop.hasMoreElements();) {
-				DefaultMutableTreeNode nprop = eprop.nextElement();
+				DefaultMutableTreeNode nprop = (DefaultMutableTreeNode) eprop.nextElement();
 				if (Structure.FORME.equals(nprop.getUserObject())) return true;
 			}
 

Index: TXM/trunk/org.txm.python.core/.classpath
===================================================================
--- TXM/trunk/org.txm.python.core/.classpath	(revision 3627)
+++ TXM/trunk/org.txm.python.core/.classpath	(revision 3628)
@@ -1,15 +1,12 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	<classpathentry exported="true" kind="lib"
-		path="lib/jython-standalone-2.7.0.jar" />
-	<classpathentry kind="con"
-		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
-	<classpathentry kind="con"
-		path="org.eclipse.pde.core.requiredPlugins">
+	<classpathentry exported="true" kind="lib" path="lib/jython-standalone-2.7.2.jar"/>
+	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
 		<accessrules>
-			<accessrule kind="accessible" pattern="**" />
+			<accessrule kind="accessible" pattern="**"/>
 		</accessrules>
 	</classpathentry>
-	<classpathentry kind="src" path="src" />
-	<classpathentry kind="output" path="bin" />
-</classpath>
\ No newline at end of file
+	<classpathentry kind="src" path="src"/>
+	<classpathentry kind="output" path="bin"/>
+</classpath>
Index: TXM/trunk/org.txm.python.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.python.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.python.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -4,10 +4,11 @@
 Export-Package: org.txm.python.core
 Bundle-Name: Python
 Bundle-Version: 1.0.0.qualifier
-Bundle-ClassPath: lib/jython-standalone-2.7.0.jar,.
-Require-Bundle: org.txm.core;bundle-version="0.8.0";visibility:=reexpo
+Bundle-ClassPath: .,
+ lib/jython-standalone-2.7.2.jar
+Require-Bundle: org.txm.core;bundle-version="0.8.3";visibility:=reexpo
  rt
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 

Index: TXM/trunk/org.txm.chartsengine.jfreechart.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.chartsengine.jfreechart.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.chartsengine.jfreechart.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -15,7 +15,7 @@
  org.txm.libs.itext;visibility:=reexport,
  org.txm.libs.jfreesvg;bundle-version="1.7.0";visibility:=reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.chartsengine.jfreechart.core
 

Index: TXM/trunk/org.txm.searchengine.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.searchengine.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.searchengine.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -5,5 +5,4 @@
 Bundle-Version: 1.0.0.qualifier
 Automatic-Module-Name: org.txm.searchengine.rcp
 BBundle-RequiredExecutionEnvironment: JavaSE-10
-Require-Bundle: org.txm.searchengine.core;bundle-version="1.0.0",
- org.txm.rcp;bundle-version="0.8.2"
+Require-Bundle: org.txm.rcp;bundle-version="0.8.3"

